package vipcard

import (
	"spaceofcheng/services/models/vipcard"
	"spaceofcheng/services/utils"
)

// CaseServ 系统处理
type VipcardServ struct {
	ctx *utils.Context
	dao *vipcard.VipcardDAO
}

// NewVipcardServ 初始化
func NewVipcardServ(ctx *utils.Context) *VipcardServ {
	return &VipcardServ{
		ctx: ctx,
		dao: vipcard.NewVipcardDAO(ctx),
	}
}
